## krecipes-trinity 14.1.4

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)


link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

##### subfolders

add_subdirectory( backends )
add_subdirectory( datablocks )
add_subdirectory( dialogs )
add_subdirectory( exporters )
add_subdirectory( importers )
add_subdirectory( widgets )


##### krecipes (executable)

tde_add_executable( krecipes AUTOMOC
  SOURCES
    main.cpp krecipes.cpp krecipesview.cpp pref.cpp
    krecipesiface.skel krecipesdbiface.skel
    propertycalculator.cpp setupwizard.cpp
    shoppingcalculator.cpp kstartuplogo.cpp
    recipeactionshandler.cpp recipefilter.cpp
    convert_sqlite3.cpp klomanager.cpp
  LINK
    krecipesdbs-static krecipesexporters-static krecipesimporters-static
    krecipesdialogs-static krecipeswidgets-static datablocks-static
    tdecore-shared tdeui-shared tdeio-shared tdeparts-shared
    tdefx-shared tdehtml-shared DCOP-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other files

install(
  FILES krecipes.xpm
  DESTINATION ${SHARE_INSTALL_PREFIX}/pixmaps
)

install(
  FILES krecipesui.rc
  DESTINATION ${DATA_INSTALL_DIR}/krecipes
)

tde_create_translated_desktop(
  SOURCE krecipes.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

tde_install_icons( DESTINATION ${SHARE_INSTALL_PREFIX}/icons )

=== src/backends/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### subfolders

tde_conditional_add_subdirectory( WITH_MYSQL      MySQL )
tde_conditional_add_subdirectory( WITH_POSTGRESQL PostgreSQL )
tde_conditional_add_subdirectory( WITH_SQLITE3    SQLite )


##### krecipesdbs (static)

# backend libraries list
set( BACKEND_LIBRARIES "" )
if( WITH_MYSQL )
  list( APPEND BACKEND_LIBRARIES "krecmysql-static" )
endif( )
if( WITH_POSTGRESQL )
  list( APPEND BACKEND_LIBRARIES "krecpsql-static" )
endif( )
if( WITH_SQLITE3 )
  list( APPEND BACKEND_LIBRARIES "krecsqlite-static" )
endif( )

tde_add_library( krecipesdbs STATIC_PIC AUTOMOC
  SOURCES recipedb.cpp qsqlrecipedb.cpp progressinterface.cpp
  LINK ${BACKEND_LIBRARIES}
)

=== src/dialogs/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### krecipesdialogs (static)

tde_add_library( krecipesdialogs STATIC_PIC AUTOMOC
  SOURCES 
    advancedsearchdialog.cpp recipeimportdialog.cpp
    dietwizarddialog.cpp recipeinputdialog.cpp
    recipeviewdialog.cpp selectrecipedialog.cpp
    ingredientsdialog.cpp selectunitdialog.cpp
    createelementdialog.cpp propertiesdialog.cpp
    createpropertydialog.cpp selectpropertydialog.cpp
    unitsdialog.cpp dependanciesdialog.cpp
    shoppinglistdialog.cpp shoppinglistviewdialog.cpp
    selectcategoriesdialog.cpp categorieseditordialog.cpp
    authorsdialog.cpp selectauthorsdialog.cpp
    resizerecipedialog.cpp
    dietviewdialog.cpp ingredientmatcherdialog.cpp
    usdadatadialog.cpp prepmethodsdialog.cpp
    createcategorydialog.cpp borderdialog.cpp
    refineshoppinglistdialog.cpp pagesetupdialog.cpp
    dbimportdialog.cpp createunitdialog.cpp
    setupdisplay.cpp
    ingredientparserdialog.cpp ingredientgroupsdialog.cpp
    editratingdialog.cpp similarcategoriesdialog.cpp
    conversiondialog.cpp createingredientweightdialog.cpp
    recipeprintpreview.cpp
)

set_property(
  SOURCE recipeinputdialog.cpp
  APPEND PROPERTY OBJECT_DEPENDS
  ${CMAKE_BINARY_DIR}/src/widgets/ratingdisplaywidget.h
)

## krecipes-trinity 14.0.4

=== debian/changelog ===
krecipes-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:41:02 +0200

krecipes-trinity (1.0~beta2-1) unstable; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 31 Jul 2013 19:25:45 +0200

krecipes (1.0~beta2-1) unstable; urgency=low

  * New upstream release (Closes: #531675)
    - Fix crash at startup when using sqlite (Closes: #478030)
    - Added categories to .desktop file (Closes: #473367)
  * Moved the .desktop file to /usr/share/applications in krecipes binary
    package
  * debian/control:
    - Set myself as Uploader (Closes: #513860)
    - Build-Depend on debhelper >=7
    - Standards-Version 3.8.1
    - Added ${misc:Depends} to all binary packages
    - Added Build-Depends on autotools-dev
    - Added chrpath to Build-Depends 
    - Added Homepage to source package
    - Added Vcs-Browser and Vcs-Svn
    - Moved packages from section kde to misc
  * Set compat level to 7
  * Rewrote debian/copyright
  * Added debian/watch
  * Added man page for krecipes
  * Added lintian override for missing menu icon in krecipes, the icon is in
    krecipes-data
  * Added lintian override for missing man page because man page is in
    krecipes-data
  * krecipes' menu entry to Applications/Data Management 
  * Strip rpath from krecipes binary 
  * Added debian/README.source

 -- Matthias Julius <mdeb@julius-net.net>  Sat, 06 Jun 2009 00:18:25 -0400

krecipes (1.0~beta1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #455318)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 18:14:00 +0100

krecipes (1.0~beta1-1) unstable; urgency=low

  * New upstream release
  * Added watch file

 -- Julien Louis <ptitlouis@sysif.net>  Sun,  3 Sep 2006 05:17:28 +0200

krecipes (0.9.1-4) unstable; urgency=low

  * Add menu entry (Closes: #366784).

 -- Julien Louis <ptitlouis@sysif.net>  Thu, 11 May 2006 12:27:38 +0200

krecipes (0.9.1-3) unstable; urgency=low

  * Change krecipes-doc section from kde to doc
    which fix override disparities.
  * Fix typos in descriptions (Closes:  #365731).
  * Bump Standards-Version, no changes needed.

 -- Julien Louis <ptitlouis@sysif.net>  Tue,  2 May 2006 23:36:41 +0200

krecipes (0.9.1-2) unstable; urgency=low

  * Add a note about documentation in debian/copyright
  * set Maintainer to KDE Extra Team
  * Add myself to uploaders

 -- Julien Louis <ptitlouis@sysif.net>  Thu, 13 Apr 2006 19:44:02 +0200

krecipes (0.9.1-1) unstable; urgency=low

  * Initial release (closes: #309280).

 -- Julien Louis <ptitlouis@sysif.net>  Fri, 17 Mar 2006 23:43:12 +0100

=== debian/control ===
Source: krecipes-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Matthias Julius <mdeb@julius-net.net>
Build-Depends: cdbs, debhelper (>= 7.0.50~), autotools-dev, automake, libtool, chrpath, tdelibs14-trinity-dev, libsqlite3-dev, libmysqlclient-dev, libpq-dev
Standards-Version: 3.8.1
Homepage: http://krecipes.sourceforge.net/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-kde/kde-extras/krecipes/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-kde/kde-extras/krecipes/trunk

Package: krecipes-trinity
Architecture: any
Depends: krecipes-data-trinity (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libtqt3-mt-sqlite3 | libtqt3-mt-mysql | libtqt3-mt-psql, krecipes-doc-trinity (= ${source:Version})
Description: recipes manager for TDE
 Krecipes is a TDE application designed to manage recipes. It can help you to
 do your shopping list, search through your recipes to find what you can do
 with available ingredients and a diet helper. It can also import or export
 recipes from files in various format (eg RecipeML or Meal-Master) or from
 databases.

Package: krecipes-doc-trinity
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: krecipes-trinity (>= ${binary:Version})
Description: recipes manager for TDE - documentation
 Krecipes is a TDE application designed to manage recipes. It can help you to
 do your shopping list, search through your recipes to find what you can do
 with available ingredients and a diet helper. It can also import or export
 recipes from files in various format (eg. RecipeML or Meal-Master) or from
 databases.
 .
 This package contains the krecipes documentation.

Package: krecipes-data-trinity
Architecture: all
Depends: ${misc:Depends}
Description: recipes manager for TDE - data files
 Krecipes is a TDE application designed to manage recipes. It can help you to
 do your shopping list, search through your recipes to find what you can do
 with available ingredients and a diet helper. It can also import or export
 recipes from files in various format (eg RecipeML or Meal-Master) or from
 databases.
 .
 This package provides architecture independent files for krecipes.

## krecipes-trinity 14.0.5

=== debian/changelog ===
krecipes-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:14:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 Uploaders: Matthias Julius <mdeb@julius-net.net>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), autotools-dev, automake, libtool, chrpath, tdelibs14-trinity-dev, libsqlite3-dev, libmysqlclient-dev, libpq-dev
+Build-Depends: cdbs, debhelper (>= 7.0.50~), autotools-dev, automake, libtool, chrpath, tdelibs14-trinity-dev, libsqlite3-dev, default-libmysqlclient-dev | libmysqlclient-dev, libpq-dev
 Standards-Version: 3.8.1
 Homepage: http://krecipes.sourceforge.net/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-kde/kde-extras/krecipes/trunk/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	dh_testdir

	# Regenerate build system
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in

	autoreconf --install && automake -f && \
	$(MAKE) -f admin/Makefile.common && \
	touch debian/stamp-bootstrap

binary-install/krecipes-trinity::
	install -p -D -m644 debian/$(cdbs_curpkg).lintian \
		debian/$(cdbs_curpkg)/usr/share/lintian/overrides/$(cdbs_curpkg)

binary-install/krecipes-data-trinity::
	dh_testdir
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/

clean::
	dh_testdir
	rm -f debian/stamp-bootstrap

## krecipes-trinity 14.0.6

=== debian/changelog ===
krecipes-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:13:47 +0100

## krecipes-trinity 14.0.8

=== debian/changelog ===
krecipes-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:51:44 +0200

## krecipes-trinity 14.0.9

=== debian/changelog ===
krecipes-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:10:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 Uploaders: Matthias Julius <mdeb@julius-net.net>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), autotools-dev, automake, libtool, chrpath, tdelibs14-trinity-dev, libsqlite3-dev, default-libmysqlclient-dev | libmysqlclient-dev, libpq-dev
+Build-Depends: cdbs, debhelper (>= 9~), autotools-dev, automake, libtool, chrpath, tdelibs14-trinity-dev, libsqlite3-dev, default-libmysqlclient-dev | libmysqlclient-dev, libpq-dev
 Standards-Version: 3.8.1
 Homepage: http://krecipes.sourceforge.net/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-kde/kde-extras/krecipes/trunk/

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include debian/cdbs/kde.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man

## krecipes-trinity 14.0.10

=== debian/changelog ===
krecipes-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## krecipes-trinity 14.0.11

=== debian/changelog ===
krecipes-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#krecipes

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:35:01 +0200

## krecipes-trinity 14.0.12

=== debian/changelog ===
krecipes-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#krecipes

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:26:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,6 @@
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
-
-DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
-                               && echo xz || echo bzip2)
 
 post-patches:: debian/stamp-bootstrap

## krecipes-trinity 14.0.13

=== debian/changelog ===
krecipes-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#krecipes

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 28 Sep 2022 00:34:12 +0200

## krecipes-trinity 14.1.0

=== debian/changelog ===
krecipes-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#krecipes

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 13 Jan 2023 13:18:33 +0100

## krecipes-trinity 14.1.1

=== debian/changelog ===
krecipes-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#krecipes

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Sep 2023 05:06:24 +0200

## krecipes-trinity 14.1.2

=== debian/changelog ===
krecipes-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#krecipes

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 13:09:59 +0100

## krecipes-trinity 14.1.3

=== debian/changelog ===
krecipes-trinity (4:14.1.3-0raspbian10.0.0+0) raspbian-buster; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#krecipes

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:13:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -33,10 +33,6 @@
 	install -p -D -m644 debian/$(cdbs_curpkg).lintian \
 		debian/$(cdbs_curpkg)/usr/share/lintian/overrides/$(cdbs_curpkg)
 
-binary-install/krecipes-data-trinity::
-	dh_testdir
-	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/
-
 clean::
 	dh_testdir
 	rm -f debian/stamp-bootstrap

## krecipes-trinity 14.1.4

=== debian/changelog ===
krecipes-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#krecipes

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## krecipes-trinity 14.1.5~pre14

=== debian/changelog ===
krecipes-trinity (4:14.1.5~pre14-0ubuntu25.10.0+4) questing; urgency=low

  * Automated git build for 00aca3f2d1b56a10aa71a372041230d317efabe5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#krecipes

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## krecipes-trinity 14.1.5

=== layouts/CMakeLists.txt ===
install(
  FILES Blue.klo Default.klo Default.template Two_Column.template
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/layouts
)

=== pics/CMakeLists.txt ===
file( GLOB _pics *.png )

install(
  FILES ${_pics}
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/pics
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/src/backends
   ${CMAKE_BINARY_DIR}
   ${TQT_INCLUDE_DIRS}
   ${TDE_INCLUDE_DIR}
@@ -20,6 +21,7 @@
 add_subdirectory( exporters )
 add_subdirectory( importers )
 add_subdirectory( widgets )
+add_subdirectory( tests )
 
 
 ##### krecipes (executable)
@@ -27,8 +29,7 @@
 tde_add_executable( krecipes AUTOMOC
   SOURCES
     main.cpp krecipes.cpp krecipesview.cpp pref.cpp
-    krecipesiface.skel krecipesdbiface.skel
-    propertycalculator.cpp setupwizard.cpp
+    krecipesiface.skel setupwizard.cpp
     shoppingcalculator.cpp kstartuplogo.cpp
     recipeactionshandler.cpp recipefilter.cpp
     convert_sqlite3.cpp klomanager.cpp

=== src/backends/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src
)


##### subfolders

tde_conditional_add_subdirectory( WITH_MYSQL      MySQL )
tde_conditional_add_subdirectory( WITH_POSTGRESQL PostgreSQL )
tde_conditional_add_subdirectory( WITH_SQLITE3    SQLite )


##### krecipesdbs (static)

# backend libraries list
set( BACKEND_LIBRARIES "" )
if( WITH_MYSQL )
  list( APPEND BACKEND_LIBRARIES krecmysql-static )
endif( )
if( WITH_POSTGRESQL )
  list( APPEND BACKEND_LIBRARIES krecpsql-static )
endif( )
if( WITH_SQLITE3 )
  list( APPEND BACKEND_LIBRARIES krecsqlite-static )
endif( )

tde_add_library( krecipesdbs STATIC_PIC AUTOMOC
  SOURCES
    recipedb.cpp qsqlrecipedb.cpp progressinterface.cpp propertycalculator.cpp
    krecipesdbiface.skel
  LINK
    datablocks-static krecipesimporters-static ${BACKEND_LIBRARIES}
    tdeio-shared
)

# Increase the number of times the linker scan for circular dependencies
# in static libraries (required for building tests)
set_target_properties( krecipesdbs-static PROPERTIES LINK_INTERFACE_MULTIPLICITY 3 )

=== src/dialogs/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/src/backends
 )
 
 
@@ -18,13 +19,12 @@
     shoppinglistdialog.cpp shoppinglistviewdialog.cpp
     selectcategoriesdialog.cpp categorieseditordialog.cpp
     authorsdialog.cpp selectauthorsdialog.cpp
-    resizerecipedialog.cpp
+    resizerecipedialog.cpp setupdisplay.cpp
     dietviewdialog.cpp ingredientmatcherdialog.cpp
     usdadatadialog.cpp prepmethodsdialog.cpp
     createcategorydialog.cpp borderdialog.cpp
     refineshoppinglistdialog.cpp pagesetupdialog.cpp
     dbimportdialog.cpp createunitdialog.cpp
-    setupdisplay.cpp
     ingredientparserdialog.cpp ingredientgroupsdialog.cpp
     editratingdialog.cpp similarcategoriesdialog.cpp
     conversiondialog.cpp createingredientweightdialog.cpp

=== src/importers/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### krecipesimporters (static)

tde_add_library( krecipesimporters STATIC_PIC AUTOMOC
  SOURCES 
    mx2importer.cpp mmfimporter.cpp mxpimporter.cpp nycgenericimporter.cpp recipemlimporter.cpp
    baseimporter.cpp kreimporter.cpp rezkonvimporter.cpp kredbimporter.cpp
  LINK
    tdeio-shared
)

=== src/tests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/importers
  ${CMAKE_SOURCE_DIR}/src/exporters
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)


link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### A function to copy required test files to binary folder

function( setup_test_data _target )
  unset(_sources)
  unset(_copies)

  foreach( _file ${ARGN} )
    add_custom_command(
      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_file}
      DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${_file}
      COMMENT "Copying test data: ${_file}"
      COMMAND ${CMAKE_COMMAND} -E copy
        ${CMAKE_CURRENT_SOURCE_DIR}/${_file}
        ${CMAKE_CURRENT_BINARY_DIR}
    )
    list(APPEND _sources ${CMAKE_CURRENT_SOURCE_DIR}/${_file})
    list(APPEND _copies ${CMAKE_CURRENT_BINARY_DIR}/${_file})
  endforeach( )

  add_custom_target( ${_target}_testdata
    SOURCES ${_sources}
    DEPENDS ${_copies}
  )
  add_dependencies( ${_target} ${_target}_testdata )
endfunction()


##### kretest (executable)

tde_add_check_executable( kretest AUTOMOC TEST
  SOURCES kretest.cpp
  LINK
    krecipesexporters-static krecipesimporters-static
    krecipesdbs-static datablocks-static
    tdecore-shared tdeio-shared
)
setup_test_data( kretest kretest.txt test_photo.jpg )


##### mmftest (executable)

tde_add_check_executable( mmftest AUTOMOC TEST
  SOURCES mmftest.cpp
  LINK
    krecipesexporters-static krecipesimporters-static
    krecipesdbs-static datablocks-static
    tdecore-shared tdeio-shared
)
setup_test_data( mmftest mmftest.txt )


##### mx2test (executable)

tde_add_check_executable( mx2test AUTOMOC TEST
  SOURCES mx2test.cpp
  LINK
    krecipesexporters-static krecipesimporters-static
    krecipesdbs-static datablocks-static
    tdecore-shared tdeio-shared
)
setup_test_data( mx2test mx2test.txt )


##### mxptest (executable)

tde_add_check_executable( mxptest AUTOMOC TEST
  SOURCES mxptest.cpp
  LINK
    krecipesexporters-static krecipesimporters-static
    krecipesdbs-static datablocks-static
    tdecore-shared tdeio-shared
)
setup_test_data( mxptest mxptest.txt )


##### nyctest (executable)

tde_add_check_executable( nyctest AUTOMOC TEST
  SOURCES nyctest.cpp
  LINK
    krecipesexporters-static krecipesimporters-static
    krecipesdbs-static datablocks-static
    tdecore-shared tdeio-shared
)
setup_test_data( nyctest nyctest.txt )


##### recipemltest (executable)

tde_add_check_executable( recipemltest AUTOMOC TEST
  SOURCES recipemltest.cpp
  LINK
    krecipesexporters-static krecipesimporters-static
    krecipesdbs-static datablocks-static
    tdecore-shared tdeio-shared
)
setup_test_data( recipemltest recipemltest.txt )


##### rezkonvtest (executable)

tde_add_check_executable( rezkonvtest AUTOMOC TEST
  SOURCES rezkonvtest.cpp
  LINK
    krecipesexporters-static krecipesimporters-static
    krecipesdbs-static datablocks-static
    tdecore-shared tdeio-shared
)
setup_test_data( rezkonvtest rezkonvtest.txt )

=== src/widgets/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### krecipeswidgets (static)

tde_add_library( krecipeswidgets STATIC_PIC AUTOMOC
  SOURCES 
    krelistview.cpp kremenu.cpp
    paneldeco.cpp ingredientlistview.cpp unitlistview.cpp
    propertylistview.cpp prepmethodlistview.cpp categorylistview.cpp
    authorlistview.cpp recipelistview.cpp categorycombobox.cpp
    kretextedit.cpp dblistviewbase.cpp
    conversiontable.cpp fractioninput.cpp ingredientcombobox.cpp
    headercombobox.cpp prepmethodcombobox.cpp
    inglistviewitem.cpp kdateedit.cpp kdatepickerpopup.cpp
    headerlistview.cpp ratingwidget.cpp kwidgetlistbox.cpp
    ratingdisplaywidget.ui criteriacombobox.cpp ingredientinputwidget.cpp
    unitcombobox.cpp amountunitinput.cpp weightinput.cpp
)

=== src/backends/MySQL/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### krecmysql (static)

tde_add_library( krecmysql STATIC_PIC AUTOMOC
  SOURCES mysqlrecipedb.cpp
  LINK krecipesdbs-static ${MYSQL_LIBRARIES}
)

=== src/backends/PostgreSQL/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

link_directories(
  ${LIBPQ_LIBRARY_DIRS}
)


##### krecpsql (static)

tde_add_library( krecpsql STATIC_PIC AUTOMOC
  SOURCES psqlrecipedb.cpp
  LINK krecipesdbs-static ${LIBPQ_LIBRARIES}
)

=== debian/changelog ===
krecipes-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#krecipes

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## krecipes-trinity 14.1.6~pre0

=== debian/changelog ===
krecipes-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 00aca3f2d1b56a10aa71a372041230d317efabe5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#krecipes

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## krecipes-trinity 14.1.6~pre1

=== debian/changelog ===
krecipes-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c58ed77cd436147bbeb73e2d0fa1cc4e6e802ea5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#krecipes

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:48:24 +0100

## krecipes-trinity 14.2.0~pre88

=== src/exporters/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### krecipesexporters (static)

tde_add_library( krecipesexporters STATIC_PIC AUTOMOC
  SOURCES 
    kreexporter.cpp baseexporter.cpp cookmlexporter.cpp
    recipemlexporter.cpp mmfexporter.cpp htmlexporter.cpp plaintextexporter.cpp
    rezkonvexporter.cpp htmlbookexporter.cpp
)

=== src/backends/SQLite/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### krecsqlite (static)

tde_add_library( krecsqlite STATIC_PIC AUTOMOC
  SOURCES literecipedb.cpp
  LINK krecipesdbs-static ${SQLITE3_LIBRARIES}
)

=== debian/changelog ===
krecipes-trinity (4:14.2.0~pre88-0debian12.0.0+10) bookworm; urgency=low

  * Automated git build for a6ab7f1c6dcf3076aa5488a790d81f42cbc93b48
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krecipes

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: krecipes-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Matthias Julius <mdeb@julius-net.net>
-Build-Depends: cdbs, debhelper (>= 9~), autotools-dev, automake, libtool, chrpath, tdelibs14-trinity-dev, libsqlite3-dev, default-libmysqlclient-dev | libmysqlclient-dev, libpq-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libsqlite3-dev, default-libmysqlclient-dev | libmysqlclient-dev, libpq-dev
 Standards-Version: 3.8.1
 Homepage: http://krecipes.sourceforge.net/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-kde/kde-extras/krecipes/trunk/

## krecipes-trinity 14.2.0~pre89

=== debian/changelog ===
krecipes-trinity (4:14.2.0~pre89-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for 75d9674825ff2518962ddb5e4dcb9d2092ddafcd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krecipes

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:58:57 +0100
